//Внимание! Изменение кода в игре, может вызвать серьезные ошибки в игре! Вы редактируете код игры на свой страх и риск!

game.guessPlayer = function(guess){
	
	var loc = game.funcs.getPlayerLoc();
	var locPaths = game.funcs.getLocPaths();
	var locCanBack = game.funcs.getLocCanBack();
	
	if (game.funcs.getEngineType("guessText") === true) {
		
		console.dir(game.engineType);
		
	}
	
	if (game.funcs.getEngineType("loc") === true) {
		
		if (locPaths != null) {
			
			for (var i = 0; i < locPaths.length; i++) {
				var newName = locPaths[i].nameLocRu.toLowerCase();
				if (newName === guess) {
					
					game.funcs.setPlayerLoc(locPaths[i].nameLoc);
					
				}
				
			}
			
		}
		
		if (locCanBack != null) {
			
			var newName = locCanBack.nameLocRu.toLowerCase();
			var guessLower = guess.toLowerCase();
			if (newName === guessLower) {
				
				game.funcs.setPlayerLoc(locCanBack.nameLoc);
				
			}
			
		}
		
	}
	
	game.EventChecker(guess);
	
};